<?php

namespace App\Http\Resources\Email;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class EmailExtractorEmailsResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        return [
            'users' => $this->resource['users'] ?? [],
            'parents' => $this->resource['parents'] ?? [],
        ];
    }
}
